/*
 * Copyright (C) 2020 Emweb bv, Herent, Belgium.
 *
 * See the LICENSE file for terms of use.
 */
package eu.webtoolkit.jwt.auth;

import eu.webtoolkit.jwt.*;
import eu.webtoolkit.jwt.chart.*;
import eu.webtoolkit.jwt.servlet.*;
import eu.webtoolkit.jwt.utils.*;
import java.io.*;
import java.lang.ref.*;
import java.time.*;
import java.util.*;
import java.util.regex.*;
import javax.servlet.*;
import javax.servlet.http.*;

/** Enumeration for an email token stored for the user. */
public enum EmailTokenRole {
  /** {@link Token} is used to verify his email address. */
  VerifyEmail,
  /** {@link Token} is used to allow the user to enter a new password. */
  LostPassword;

  /** Returns the numerical representation of this enum. */
  public int getValue() {
    return ordinal();
  }
}
